Bug 23448 - Changing partition sizes causes install to fail - with trace
Summary: Changing partition sizes causes install to fail - with trace
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-05 22:49 UTC by Brian
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-09 23:13:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian 2001-01-05 22:49:10 UTC
I was doing an install on a test server and during the disk space check 
the RH install program noted that I did not have enough space allocated in 
one of my partitions.  I went back to Disk Druid and deleted all non-swap 
partitions and put in just one large root partition.  The installer threw 
an exception several screens later and generated the error report included 
below which it saved to a floppy.  I restarted the installation and 
everything proceeded without error after that.

-----------------------------------------------------------------------

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1468, in 
doInstall
    self.fstab.savePartitions ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 220, in 
savePartitions
    sys.exit(0)
NameError: sys

Local variables in innermost frame:
self: <fstab.GuiFstab instance at 8200c90>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>

Comment 1 Michael Fulbright 2001-01-09 23:13:48 UTC
Fixed internally, thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.